Bug 1674486 - Something drags seriously performance down [window queue, url bar, Templates]
Summary: Something drags seriously performance down [window queue, url bar, Templates]
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: xfwm4
Version: 31
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1697062 1760382 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-11 13:21 UTC by klfyt
Modified: 2020-03-23 09:10 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:14:08 UTC
Type: Bug


Attachments (Terms of Use)
Fixed type error in keyboard file (2.36 KB, text/plain)
2019-02-12 14:08 UTC, klfyt
no flags Details
workspaces margin settings (23.33 KB, image/png)
2019-11-05 13:02 UTC, klfyt
no flags Details
smoother /\&/ (2.04 MB, video/x-theora+ogg)
2019-12-07 20:12 UTC, klfyt_
no flags Details
default url (2.64 MB, video/x-theora+ogg)
2019-12-07 20:15 UTC, klfyt_
no flags Details
workspace name settings (22.53 KB, image/png)
2019-12-07 20:21 UTC, klfyt_
no flags Details
workspace margins settings (24.34 KB, image/png)
2019-12-07 20:24 UTC, klfyt_
no flags Details
snap distance 25 pixels right (24.51 KB, image/png)
2019-12-24 22:54 UTC, klfyt
no flags Details
workspace name settings "/\</ " (23.73 KB, image/png)
2019-12-24 22:56 UTC, klfyt
no flags Details
webkit browser trick (11.00 KB, image/png)
2019-12-24 22:58 UTC, klfyt
no flags Details
clock settings " %a %R " (15.04 KB, image/png)
2019-12-27 11:00 UTC, dasfh
no flags Details
panel settings (13.12 KB, application/xml)
2019-12-27 11:02 UTC, dasfh
no flags Details
t space space (13.75 KB, image/png)
2020-03-03 20:27 UTC, dasflfytk
no flags Details
tomahawk (24.84 KB, image/png)
2020-03-10 21:00 UTC, dasflfytk
no flags Details
you can use similar speed hackery in a browser if you type in the last tab "tomahawk" (16.94 KB, image/png)
2020-03-10 21:07 UTC, dasflfytk
no flags Details
"\v|t" for desktop name (22.97 KB, image/png)
2020-03-21 18:58 UTC, dasflfytk
no flags Details
"\v|t" for last tab (11.08 KB, image/png)
2020-03-21 19:00 UTC, dasflfytk
no flags Details
\voltage for desktop name (25.70 KB, image/png)
2020-03-23 08:56 UTC, dasflfytk
no flags Details
last tab name workaround (8.23 KB, image/png)
2020-03-23 08:58 UTC, dasflfytk
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 1838154 None None None 2019-12-15 08:34:42 UTC

Description klfyt 2019-02-11 13:21:38 UTC
Description of problem:
Each time a new window is recreated scrolling smoothness breaks.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open a new window
2.
3.

Actual results:
Scrolling breaks 

Expected results:
Scrolling doesn't break

Additional info:
Something starts to interfere with scrolling. :-)
Workaround is to zoom in using Alt+mousewheel and zoom out from top-right
edge of the screen.

Thing that might help:
never scroll down (once scrolling is fixed with zoom in/zoom out from top-right
edge), never use arrow keys, backspace or right-click anywhere.

Comment 1 klfyt 2019-02-11 13:22:40 UTC
^
never scroll up! (not down ..)

Comment 2 klfyt 2019-02-11 16:29:13 UTC
Someone forgot line position?
I think this has been actually the problem since at least
2.6.
That kind of scrolling that skipped so much wasn't there in early red hats,
imho.



:-)

Comment 3 klfyt 2019-02-12 09:27:50 UTC

Maybe the position of any window gets displaced,
zooming in & out from top right corner realigns their x/y 0's?

This does not explain scrolling problems however.  :-)



:-)

Comment 4 klfyt 2019-02-12 10:02:08 UTC

If you zoom in you can see that scroll up /\ isn't perfectly
aligned in the center. :-)



:-)

Comment 5 klfyt 2019-02-12 10:50:22 UTC

The exact order of steps seems to be to place cursor at least next to
the right edge of the screen and a little bit below top edge of the
screen before zooming out to 1:1 view. ;-)

This way performance of scrolling up seems to be not affected. :-)


:-)

Comment 6 klfyt 2019-02-12 11:49:00 UTC

There is a type error in /usr/share/X11/xkb/symbols/pc file,
probably unrelated! ;-)


   // Beginning of modifier mappings.
    modifier_map Shift  { Shift_L, Shift_R };
    modifier_map Lock   { Caps_Lock };
    modifier_map Control{ Control_L, Control_R };
    modifier_map Mod2   { Num_Lock };
    modifier_map Mod4   { Super_L, Super_R };


^
modifier_map Control { Control_L, Control_R };



:-)

Comment 7 klfyt 2019-02-12 14:05:40 UTC

This seems to fix it. ;-) LOL



:-)

Comment 8 klfyt 2019-02-12 14:08:26 UTC
Created attachment 1534078 [details]
Fixed type error in keyboard file

Comment 9 klfyt 2019-02-13 08:15:17 UTC



There might be something else that affects animation/upload speed. O_o

Enter followed by Backspace key seems to fix that. :-)


Further suspects:
editing keys, e.g. backspace/delete 



:-)

Comment 10 klfyt 2019-02-13 14:42:29 UTC

So, I did following steps to regain some performance.


Edit "pc" file in /xkb/symbols:


modifier_map Control { Control_L, Control_R };
...
key <MENU> { [ F11 ] };




And press successively (cursor can be anywhere):


Enter
Shift


To gain even a bit more performance.



:-)

Comment 11 klfyt 2019-02-14 11:15:28 UTC

*** This bug has been marked as a duplicate of bug 1677161 ***

Comment 12 klfyt 2019-02-16 13:15:48 UTC

*** This bug has been marked as a duplicate of bug 1677547 ***

Comment 13 klfyt 2019-02-21 15:16:00 UTC

*** This bug has been marked as a duplicate of bug 1670504 ***

Comment 14 klfyt 2019-02-26 18:24:12 UTC

*** This bug has been marked as a duplicate of bug 1673074 ***

Comment 15 klfyt 2019-02-26 18:26:34 UTC

*** This bug has been marked as a duplicate of bug 1683074 ***

Comment 16 klfyt 2019-03-12 13:02:02 UTC
> Best speed hacks so far:

avoid using right mouse button,
set right margin of workspace to 1 px
I'm using 2 workspaces, named empty and "idle"


:-)

Comment 17 klfyt 2019-03-12 13:03:11 UTC
> avoid using right mouse button

*left


:-)

Comment 18 klfyt 2019-03-23 07:47:12 UTC
Hi. Basically scrolling of images or animation from right to left
is broken somehow.
I don't know what is exactly broken.  ;-)

Comment 19 klfyt 2019-03-26 14:46:57 UTC
Hi. Just don't press Left or move stuff to the left.
Can you fix this? I don't know what exactly is affected,
hardware logic?

:-)

Comment 20 Peter Hutterer 2019-03-27 01:15:38 UTC
This bug has too much noise to be actionable. Please compile a proper list of observations and detail them. Please file a new bug where required. Don't reassign unless you are sure the other component is affected. Don't mark as duplicate unless it's clear that's what it is. And note that bugzilla isn't twitter, the goal is to make it easy to reproduce on a developer's machine. The more noise added to a bug the harder this will be, and the less likely a developer will attempt to do so.

Comment 21 klfyt 2019-03-27 10:30:20 UTC
I was thinking in square logic:
move stuff right in square = +1
move stuff left in square = -1

Someone forgot that then you press left
you count one less, but I don't know which
kind of graphics, gpu or something else.

:)

Comment 22 klfyt 2019-04-03 09:55:13 UTC

*** This bug has been marked as a duplicate of bug 1693960 ***

Comment 23 klfyt 2019-07-19 19:36:07 UTC

*** This bug has been marked as a duplicate of bug 1670504 ***

Comment 24 klfyt 2019-08-29 08:12:56 UTC

*** This bug has been marked as a duplicate of bug 1740095 ***

Comment 25 klfyt 2019-10-10 11:53:34 UTC

*** This bug has been marked as a duplicate of bug 1697062 ***

Comment 26 klfyt 2019-10-26 10:01:41 UTC
Mousewheeldown is broken.   >:]

If you accidentally mousewheeldown anywhere
simply mousewheelup to topmost edge.
You can use arrow keys instead. 

 ;-)


(difference is really fast, I am not joking!)



additional info:
shitalttab - https://bugzilla.redhat.com/show_bug.cgi?id=1697062
copytwospaces
templates looks strange - https://bugzilla.redhat.com/show_bug.cgi?id=1697062


hf!  :))

Comment 27 klfyt 2019-10-26 10:03:28 UTC
(In reply to klfyt from comment #26)

> templates looks strange - https://bugzilla.redhat.com/show_bug.cgi?id=1697062

https://bugzilla.redhat.com/show_bug.cgi?id=1729666

Comment 28 klfyt 2019-10-26 10:04:11 UTC
*** Bug 1697062 has been marked as a duplicate of this bug. ***

Comment 29 Ben Cotton 2019-10-31 18:44:10 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 30 klfyt 2019-11-01 14:37:08 UTC
(In reply to klfyt from comment #26)

> simply mousewheelup to topmost edge.
> You can use arrow keys instead. 

Or use PageDown key before scrolling with mouse.

:))

Comment 31 klfyt 2019-11-05 13:01:09 UTC
NOW
Workspaces margin settings artificially hinders scrolling performance.


PREVIOUSLY
Something kills scrolling in random order.



FIX
Workspace margin settings bottom +1




Additional info:
shiftalttab - https://bugzilla.redhat.com/show_bug.cgi?id=1697062
templates looks strange - https://bugzilla.redhat.com/show_bug.cgi?id=1729666


:))

Comment 32 klfyt 2019-11-05 13:02:53 UTC
Created attachment 1632953 [details]
workspaces margin settings


Maybe Up/Down or PageUp/PageDown requirement before scrolling in any direction
stays.

:)

Comment 33 Ben Cotton 2019-11-27 18:14:08 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 34 klfyt_ 2019-12-01 00:31:27 UTC
Most recent findings:
https://bugs.launchpad.net/xorg-server/+bug/1838154

1. Snapping settings: 1 (top) 1 (bottom) 0 (left) 2 (right)

2. Send message trick lowers temperature. :-)

3. Avoid alt-tabbing. >:]

4. Rename Templates to "# Templates".


Sorry I am banned I can't much else anymore, thx!  >:]

Comment 35 klfyt_ 2019-12-02 20:01:12 UTC
For Thunar which was most surprising in terms of scrolling performance (since files are local)
just two spaces in before address improves scrolling.

e.g.

/Home/Pictures/

"  /Home/Pictures/"

>:]


Maybe I need another bug report?  :))

Comment 36 klfyt_ 2019-12-06 22:46:20 UTC
(In reply to klfyt_ from comment #35)
> For Thunar which was most surprising in terms of scrolling performance
> (since files are local)
> just two spaces in before address improves scrolling.
> 
> e.g.
> 
> /Home/Pictures/
> 
> "  /Home/Pictures/"
> 
> >:]
> 
> 
> Maybe I need another bug report?  :))

/\&/

https://bugs.launchpad.net/ubuntu/+source/chromium-browser/+bug/1839716
https://bugzilla.redhat.com/show_bug.cgi?id=1733819#c20

:))

Comment 37 klfyt_ 2019-12-07 20:12:47 UTC
Created attachment 1642932 [details]
smoother /\&/


Look what difference simple /\&/ regexp does even
to local file viewing.

:))

Comment 38 klfyt_ 2019-12-07 20:15:42 UTC
Created attachment 1642933 [details]
default url


Let's compare without /\&/.

It's a simple regexp bug which kills scrolling performance, etc.
Maybe it's in url?

:))

Comment 39 klfyt_ 2019-12-07 20:18:29 UTC
Reported against Ubuntu:
https://bugs.launchpad.net/xorg-server/+bug/1838154

>:]

Comment 40 klfyt_ 2019-12-07 20:21:52 UTC
Created attachment 1642934 [details]
workspace name settings


Maybe it makes sense to also name workspaces to /\&/
as a temporary workaround.

:p

Comment 41 klfyt_ 2019-12-07 20:24:01 UTC
Created attachment 1642935 [details]
workspace margins settings


#snapping  #margins     [1l 2b 0t 0r]

Comment 42 klfyt_ 2019-12-08 10:11:39 UTC
Previous view degradation still remains (imho).

https://bugzilla.redhat.com/show_bug.cgi?id=1740095#c37


:))

Comment 43 klfyt_ 2019-12-11 13:32:28 UTC
this
+
this

https://bugs.launchpad.net/xorg-server/+bug/1838154/comments/20
+
https://bugs.launchpad.net/xorg-server/+bug/1838154/comments/24


// I cannot guess any further I believe, it is either
// next > previous collision in a window queue or regexp bug in unix workspace name settings.
// >:]

thx!   :))

Comment 44 klfyt 2019-12-12 10:04:26 UTC
Here are all the bug reports in the same spirit,
feel free to ban me if you think this is more logical choice atm  >:]


templates
https://bugzilla.redhat.com/show_bug.cgi?id=1729666

60 frames per second
https://bugzilla.redhat.com/show_bug.cgi?id=1738604

interactive url
https://bugzilla.redhat.com/show_bug.cgi?id=1754300

hf!

(I am going to pretend now that there is no way to increase Android
idle batteries by x10  ^  ^)

:))

Comment 45 klfyt 2019-12-12 10:46:56 UTC
*** Bug 1760382 has been marked as a duplicate of this bug. ***

Comment 47 klfyt 2019-12-15 15:01:44 UTC
Created attachment 1645330 [details]
panel settings


Top and bottom panel. This is it. I cannot believe the difference
I am seeing in performance myself.

>:]

Comment 48 klfyt 2019-12-15 15:12:31 UTC
Provided then these settings
name of workspace = empty
snapping left = 1, bottom = 2, top = 0 and right = 0

and workaround

/\^/__

typed in terminal.


If you keep one rule and one rule only
while alt-tabbing through open windows or tabs
that next window or a tab isn't previous then      // is next previous? > move + 1
you can keep steady and very lean performance.


// for some reason then linux has unresponsive keyboard, don't take this as an insult pls!  :p  Just look at the difference with older
// Ubuntu versions like 6 or earlier red hats. This is one way to fight this odd lag, thx.   O_o

Comment 52 klfyt 2019-12-15 22:22:00 UTC
... I can't this anymore ... this is ridiculous ... this is pathetic

>:]

Comment 58 nobody+PNT0740543 2019-12-17 20:23:54 UTC
Might it be character length mistake?
https://bugs.launchpad.net/ubuntu/+source/wayland/+bug/1856554


>:]

Comment 59 klfyt 2019-12-24 22:53:29 UTC
Snapping RIGHT 25 pixels!

I believe I solved it!  :-)


Other stuff I changed in settings at the moment:

workspace name "/\</  "
first tab in a webkit based browser "/\</  "
disable minimize in XFCE

>:]

Comment 60 klfyt 2019-12-24 22:54:47 UTC
Created attachment 1647557 [details]
snap distance 25 pixels right


I believe this is final setup.  >:]  (LOL)

Comment 61 klfyt 2019-12-24 22:56:12 UTC
Created attachment 1647558 [details]
workspace name settings "/\</  "



I believe this is final setup.  >:]  (LOL)

Comment 62 klfyt 2019-12-24 22:58:05 UTC
Created attachment 1647559 [details]
webkit browser trick


This is for webkit browsers. It appears to be working.  :))

Comment 63 klfyt 2019-12-25 15:01:24 UTC
(In reply to klfyt from comment #59)
> Snapping RIGHT 25 pixels!
> 
> I believe I solved it!  :-)
> 
> 
> Other stuff I changed in settings at the moment:
> 
> workspace name "/\</  "
> first tab in a webkit based browser "/\</  "
> disable minimize in XFCE
> 
> >:]


snap 25 pixels right
workspace name "/\</  "
first tab url in a webkit browser "/\</  "
disable minimize in XFCE
rename Templates folder to "# Templates"

:-)

Comment 64 klfyt 2019-12-25 16:20:34 UTC
!

Maybe this depends on how you design your clock
in panel "  %a  %R  ".  (notice two spaces)

:-)

Comment 65 klfyt 2019-12-25 19:20:10 UTC
The trick is in measuring new line speed (then you press Enter for example).
I believe you can achieve best results if scrollbar is hidden. So the broken
code must be hidden somewhere in scrollbar logic.

:))

Comment 66 klfyt 2019-12-25 19:26:41 UTC
(In reply to klfyt from comment #65)
> The trick is in measuring new line speed (then you press Enter for example).
> I believe you can achieve best results if scrollbar is hidden. So the broken
> code must be hidden somewhere in scrollbar logic.
> 
> :))

Maybe it clashes with something - but what!?  :D

We got a few factors to consider here:
clock in a panel,
snapping,
minimize?

#LOL

Comment 67 klfyt 2019-12-25 19:39:34 UTC
Is it possible scrollbar graphics is redrawn over screen as a layer?  (webkit)

>:]

Comment 68 klfyt 2019-12-25 19:42:58 UTC
(In reply to klfyt from comment #67)
> Is it possible scrollbar graphics is redrawn over screen as a layer? 
> (webkit)
> 
> >:]

https://bugzilla.redhat.com/show_bug.cgi?id=1786484

>:]

Comment 69 klfyt 2019-12-25 22:51:48 UTC
(In reply to klfyt from comment #67)
> Is it possible scrollbar graphics is redrawn over screen as a layer? 
> (webkit)
> 
> >:]

The difference is amazing!

>:]

Comment 70 dasfh 2019-12-27 10:57:15 UTC
This is scrollbar ghosting I don't know how to best avoid it.
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1857601

More padding in the right side of the screen (+ 25 pixel snapping trick).

>:]

Comment 71 dasfh 2019-12-27 11:00:31 UTC
Created attachment 1648030 [details]
clock settings "  %a  %R          "

Comment 72 dasfh 2019-12-27 11:02:12 UTC
Created attachment 1648031 [details]
panel settings

Comment 73 dasfhlfytk 2019-12-30 13:55:46 UTC
I think I solved it.  
https://bugzilla.redhat.com/show_bug.cgi?id=1787033


You just have to comment out url for unknown reason.

:))

Comment 74 dasflfytk 2020-03-03 20:27:08 UTC Comment hidden (spam)
Comment 75 dasflfytk 2020-03-10 21:00:46 UTC Comment hidden (spam)
Comment 76 dasflfytk 2020-03-10 21:07:55 UTC Comment hidden (spam)
Comment 77 dasflfytk 2020-03-21 18:58:57 UTC Comment hidden (spam)
Comment 78 dasflfytk 2020-03-21 19:00:59 UTC Comment hidden (spam)
Comment 79 dasflfytk 2020-03-23 08:56:53 UTC Comment hidden (spam)
Comment 80 dasflfytk 2020-03-23 08:58:44 UTC Comment hidden (spam)
Comment 81 dasflfytk 2020-03-23 09:10:50 UTC Comment hidden (spam)

Note You need to log in before you can comment on or make changes to this bug.